Subject: Re: bug#22941: 25.1.50; epa-list-secret-keys does not find gpg private keys

From: Iñigo Serna <[email-masked]>
Date: Sat, 12 Mar 2016 12:06:26 +0100

Daiki Ueno <[email-masked]> writes:

> Iñigo Serna <[email-masked]> writes:
>
>> The key was generated with gpg v1.x, and I want to continue using gpg
>> v1.x within emacs. From cli, I can see the correct key with "gpg -K".
>
> Then I suspect that Emacs is using "gpg2" instead of "gpg" regardless of
> the `epg-gpg-program' setting.  How do you set the variable, with `setq'
> or M-x customize ?

I use 'setq' as mentioned in the first message.
Even, "gpg" is showed in the error message:

"""
Error while decrypting with "gpg":

gpg: encrypted with 2048-bit RSA key, ID 89B28C43, created 2016-01-12
      "Iñigo Serna (XXX.YY) <[email-masked]>"
gpg: decryption failed: No secret key
"""

Thanks,
Iñigo Serna